pipeline {
    agent {
        docker { image 'mingc/android-build-box' }
    }
    stages {
        stage('Gradle Build') {
            steps {
                sh './gradlew clean build'
            }
        }
    }
    post {
        always {
            archiveArtifacts artifacts: 'TeamCode/build/outputs/apk/debug/*.apk', fingerprint: true
        }
    }
}